{ config, inputs, ... }:

{
  nixpkgs.overlays = [ inputs.neovim-overlay.overlay ];

  nixpkgs.config.packageOverrides = pkgs: with pkgs; {
    neovim-qt-unwrapped = neovim-qt-unwrapped.overrideDerivation (_: {
      src = fetchFromGitHub {
        owner  = "equalsraf";
        repo   = "neovim-qt";
        rev    = "54987208b698c84e761cc097550b80641367f0c8";
        sha256 = "sha256-I3/gPk5ay9Scs+YtVWNyLm2zE1T1cMEjdpVbYclHT1M=";
      };
    });
  };
}
